{% load wagtailimages_tags %}
{% for block in page.banners %}
{% if block.value.code == request.GET.code %}
<form class="mb-16 text-white bg-black p-4" method="POST" action="">
  {% csrf_token %}
  <div class="grid grid-cols-1 sm:grid-cols-2 gap-8">
    <div class="col">
      <h2 class="head-alt-sm mb-4">Objednáváte</h2>
      <h3 class="pb-3 font-bold text-lg">
        <p class="my-1">
          {% if block.value.candidate1 and block.value.candidate2 %}
          {{ block.value.candidate1 }} + {{ block.value.candidate2 }}
          {% elif block.value.candidate1 %}
          {{ block.value.candidate1 }}
          {% elif block.value.candidate2 %}
          {{ block.value.candidate2 }}
          {% endif %}
        </p>
        <p class="my-1">{{ block.value.tagline }}</p>
      </h3>
      <div>{% image block.value.preview fill-800x412 %}</div>
      <div class="mt-4">Rozměr banneru: 195 x 90 cm</div>
    </div>
    <div class="col">

      <h2 class="head-alt-sm mb-4">Informace o dárci</h2>

      <div class="grid grid-cols-4 gap-4">
        <div class="form-field col-span-2 form-field-required">
          <label class="form-field__label" for="name">Jméno</label>
          <div class="form-field__wrapper form-field__wrapper--shadowed {% if request.banner_form.errors.name %}form-field--error{% endif %}">
            <input type="text" class="text-input form-field__control text-black" id="name" name="name" value="{{request.banner_form.name.value|default_if_none:""}}" placeholder="Jan" />
          </div>
          {% for error in request.banner_form.errors.name %}
          <div class="form-field__error">{{error}}</div>
          {% endfor %}
        </div>

        <div class="form-field col-span-2 form-field-required {% if request.banner_form.errors.surname %}form-field--error{% endif %}">
          <label class="form-field__label" for="surname">Příjmení</label>
          <div class="form-field__wrapper form-field__wrapper--shadowed">
            <input type="text" class="text-input form-field__control text-black" id="surname" name="surname" value="{{request.banner_form.surname.value|default_if_none:""}}" placeholder="Vlaštovka" />
          </div>
          {% for error in request.banner_form.errors.surname %}
          <div class="form-field__error">{{error}}</div>
          {% endfor %}
        </div>

        <div class="form-field col-span-2 form-field-required {% if request.banner_form.errors.residency %}form-field--error{% endif %}">
          <label class="form-field__label" for="residency">Obec trvalého pobytu</label>
          <div class="form-field__wrapper form-field__wrapper--shadowed">
            <input type="text" class="text-input form-field__control text-black" id="residency" name="residency" value="{{request.banner_form.residency.value|default_if_none:""}}" placeholder="Sedlíšťka" />
          </div>
          {% for error in request.banner_form.errors.residency %}
          <div class="form-field__error">{{error}}</div>
          {% endfor %}
        </div>

        <div class="form-field col-span-2 form-field-required {% if request.banner_form.errors.date_of_birth %}form-field--error{% endif %}">
          <label class="form-field__label" for="date_of_birth">Datum narození</label>
          <div class="form-field__wrapper form-field__wrapper--shadowed">
            <input type="date" class="text-input form-field__control text-black" id="date_of_birth" name="date_of_birth" value="{{request.banner_form.date_of_birth.value|default_if_none:""}}" placeholder="1.1.1990" />
          </div>
          {% for error in request.banner_form.errors.date_of_birth %}
          <div class="form-field__error">{{error}}</div>
          {% endfor %}
        </div>
      </div>

      <input type="hidden" name="code" value="{{request.GET.code|urlencode}}">

      <p class="my-5">
        Pokud nám pomůžete v&nbsp;kampani vyvěšením venkovní reklamy,
        jedná se o&nbsp;nefinační dar. Výše uvedené informace o&nbsp;vás
        uveřejníme, abychom splnili svou zákonnou povinnost.
        Tato data budeme uchovávat 10&nbsp;let od&nbsp;poskytnutí daru.
      </p>

      <h2 class="head-alt-sm my-5">Kontaktní údaje</h2>

      <div class="grid grid-cols-4 gap-4">
        <div class="form-field col-span-2 form-field-required {% if request.banner_form.errors.phone %}form-field--error{% endif %}">
          <label class="form-field__label" for="phone">Telefonní číslo</label>
          <div class="form-field__wrapper form-field__wrapper--shadowed">
            <input type="tel" class="text-input form-field__control text-black" id="phone" name="phone" value="{{request.banner_form.phone.value|default_if_none:""}}" placeholder="" />
          </div>
          {% for error in request.banner_form.errors.phone %}
          <div class="form-field__error">{{error}}</div>
          {% endfor %}
        </div>
        <div class="form-field col-span-2 form-field-required {% if request.banner_form.errors.email %}form-field--error{% endif %}">
          <label class="form-field__label" for="email">Emailová adresa</label>
          <div class="form-field__wrapper form-field__wrapper--shadowed">
            <input type="email" class="text-input form-field__control text-black" id="email" name="email" value="{{request.banner_form.email.value|default_if_none:""}}" placeholder="" />
          </div>
          {% for error in request.banner_form.errors.email %}
          <div class="form-field__error">{{error}}</div>
          {% endfor %}
        </div>
        <div class="form-field col-span-4 form-field-required {% if request.banner_form.errors.note %}form-field--error{% endif %}">
          <label class="form-field__label" for="note">Poznámka</label>
          <div class="form-field__wrapper form-field__wrapper--shadowed">
            <input type="text" class="text-input form-field__control text-black" id="note" name="note" value="{{request.banner_form.note.value|default_if_none:""}}" placeholder="" />
          </div>
          {% for error in request.banner_form.errors.note %}
          <div class="form-field__error">{{error}}</div>
          {% endfor %}
        </div>
      </div>

      <p class="my-5">
        Kontaktní údaje využijí naší koordinátoři k tomu,
        aby se s Vámi domluvili na podrobnostech předání.
        Po skončení této volební kampaně Vaše kontaktní údaje vymažeme
        a&nbsp;to nejpozději k&nbsp;1.&nbsp;1.&nbsp;2022.
      </p>

      <div class="mt-5 text-center lg:text-right">
        <button class="btn text-lg max-w-full">
          <div class="btn__body bg-white text-black">Souhlasím a objednávám</div>
        </button>
      </div>
    </div>
  </div>
</form>
{% endif %}
{% endfor %}
